Subject: [tsv-area] Fwd: [Int-area] draft-van-beijnum-multi-mtu-00

From: Lars Eggert <[email-masked]>
Date: Wed, 4 Jul 2007 09:41:17 +0300

FYI, this draft seems of interest to the transport community. Please  
discuss on [email-masked]; I'm setting the reply-to accordingly.

Lars

Begin forwarded message:

> From: "ext Iljitsch van Beijnum" <[email-masked]>
> Date: July 3, 2007 19:17:27 GMT+03:00
> To: [email-masked]
> Subject: [Int-area] draft-van-beijnum-multi-mtu-00
>
> First of all: this message is going out to the IPv6 wg and internet  
> area mailinglists (for reasons explained below) but it's not  
> crossposted, so replies will go to the list where you found it by  
> default unless you add the other one yourself.
>
> The internet-drafts administrator was kind enough to publish the  
> following draft:
>
> http://www.ietf.org/internet-drafts/draft-van-beijnum-multi-mtu-00.txt
>
> The idea here is to lift the limitation that all nodes connected to  
> a subnet must all use the same MTU by adding mechanisms to  
> negotiate the use of bigger packets between two nodes. Hopefully,  
> this will make it possible to start increasing the MTU on many  
> links that make up the internet. Currently, there is some form of  
> ethernet in almost all paths across the internet, and all forms of  
> ethernet use an MTU of 1500 bytes, even though gigabit ethernet  
> hardware generally supports larger sizes. The problem is that  
> switches can't fragment and ethernet is stateless so the IEEE can't  
> mandate larger packet sizes for faster ethernet. But IP can  
> fragment, or, more generally, adjust the packet size, and has at  
> least some per-neighbor state so we can solve this at the IP layer.
>
> Ultimately, the idea is that this will work for both IPv4 and IPv6.  
> So at a high level, this would be an appropriate discussion topic  
> for the internet area list.
>
> However, IPv4 doesn't have many hooks where new options can be  
> added easily like IPv6, so I'm focussing on IPv6 at this time. The  
> draft specifies:
>
> - a new router advertisement option
> - two new ICMPv6 messages
> - a new neighbor discovery option
>
> So it would be nice to get feedback on the protocol details from  
> the people who tend to hang out in the IPv6 wg.
>
> Any feedback is greatly appreciated.
>
>
> _______________________________________________
> Int-area mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/int-area